/*******************************************************************************
* File Name: Vcc.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Vcc_H) /* Pins Vcc_H */
#define CY_PINS_Vcc_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Vcc_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Vcc_Write(uint8 value) ;
void    Vcc_SetDriveMode(uint8 mode) ;
uint8   Vcc_ReadDataReg(void) ;
uint8   Vcc_Read(void) ;
uint8   Vcc_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Vcc_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Vcc_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Vcc_DM_RES_UP          PIN_DM_RES_UP
#define Vcc_DM_RES_DWN         PIN_DM_RES_DWN
#define Vcc_DM_OD_LO           PIN_DM_OD_LO
#define Vcc_DM_OD_HI           PIN_DM_OD_HI
#define Vcc_DM_STRONG          PIN_DM_STRONG
#define Vcc_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Vcc_MASK               Vcc__MASK
#define Vcc_SHIFT              Vcc__SHIFT
#define Vcc_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Vcc_PS                     (* (reg8 *) Vcc__PS)
/* Data Register */
#define Vcc_DR                     (* (reg8 *) Vcc__DR)
/* Port Number */
#define Vcc_PRT_NUM                (* (reg8 *) Vcc__PRT) 
/* Connect to Analog Globals */                                                  
#define Vcc_AG                     (* (reg8 *) Vcc__AG)                       
/* Analog MUX bux enable */
#define Vcc_AMUX                   (* (reg8 *) Vcc__AMUX) 
/* Bidirectional Enable */                                                        
#define Vcc_BIE                    (* (reg8 *) Vcc__BIE)
/* Bit-mask for Aliased Register Access */
#define Vcc_BIT_MASK               (* (reg8 *) Vcc__BIT_MASK)
/* Bypass Enable */
#define Vcc_BYP                    (* (reg8 *) Vcc__BYP)
/* Port wide control signals */                                                   
#define Vcc_CTL                    (* (reg8 *) Vcc__CTL)
/* Drive Modes */
#define Vcc_DM0                    (* (reg8 *) Vcc__DM0) 
#define Vcc_DM1                    (* (reg8 *) Vcc__DM1)
#define Vcc_DM2                    (* (reg8 *) Vcc__DM2) 
/* Input Buffer Disable Override */
#define Vcc_INP_DIS                (* (reg8 *) Vcc__INP_DIS)
/* LCD Common or Segment Drive */
#define Vcc_LCD_COM_SEG            (* (reg8 *) Vcc__LCD_COM_SEG)
/* Enable Segment LCD */
#define Vcc_LCD_EN                 (* (reg8 *) Vcc__LCD_EN)
/* Slew Rate Control */
#define Vcc_SLW                    (* (reg8 *) Vcc__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Vcc_PRTDSI__CAPS_SEL       (* (reg8 *) Vcc__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Vcc_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Vcc__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Vcc_PRTDSI__OE_SEL0        (* (reg8 *) Vcc__PRTDSI__OE_SEL0) 
#define Vcc_PRTDSI__OE_SEL1        (* (reg8 *) Vcc__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Vcc_PRTDSI__OUT_SEL0       (* (reg8 *) Vcc__PRTDSI__OUT_SEL0) 
#define Vcc_PRTDSI__OUT_SEL1       (* (reg8 *) Vcc__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Vcc_PRTDSI__SYNC_OUT       (* (reg8 *) Vcc__PRTDSI__SYNC_OUT) 


#if defined(Vcc__INTSTAT)  /* Interrupt Registers */

    #define Vcc_INTSTAT                (* (reg8 *) Vcc__INTSTAT)
    #define Vcc_SNAP                   (* (reg8 *) Vcc__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Vcc_H */


/* [] END OF FILE */
