/*******************************************************************************
* File Name: Data.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Data_H) /* Pins Data_H */
#define CY_PINS_Data_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Data_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Data_Write(uint8 value) ;
void    Data_SetDriveMode(uint8 mode) ;
uint8   Data_ReadDataReg(void) ;
uint8   Data_Read(void) ;
uint8   Data_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Data_DRIVE_MODE_BITS        (3)
#define Data_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Data_DRIVE_MODE_BITS))

#define Data_DM_ALG_HIZ         (0x00u)
#define Data_DM_DIG_HIZ         (0x01u)
#define Data_DM_RES_UP          (0x02u)
#define Data_DM_RES_DWN         (0x03u)
#define Data_DM_OD_LO           (0x04u)
#define Data_DM_OD_HI           (0x05u)
#define Data_DM_STRONG          (0x06u)
#define Data_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Data_MASK               Data__MASK
#define Data_SHIFT              Data__SHIFT
#define Data_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Data_PS                     (* (reg32 *) Data__PS)
/* Port Configuration */
#define Data_PC                     (* (reg32 *) Data__PC)
/* Data Register */
#define Data_DR                     (* (reg32 *) Data__DR)
/* Input Buffer Disable Override */
#define Data_INP_DIS                (* (reg32 *) Data__PC2)


#if defined(Data__INTSTAT)  /* Interrupt Registers */

    #define Data_INTSTAT                (* (reg32 *) Data__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Data_DRIVE_MODE_SHIFT       (0x00u)
#define Data_DRIVE_MODE_MASK        (0x07u << Data_DRIVE_MODE_SHIFT)


#endif /* End Pins Data_H */


/* [] END OF FILE */
